%define major 2
%define libname %mklibname globus-gssapi-error %{major}
%define develname %mklibname globus-gssapi-error -d

Name:		globus-gssapi-error
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	6.3
Release:	%mkrel 1
Summary:	Globus Toolkit - GSSAPI Error Library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-gss-assist) >= 8
BuildRequires:  pkgconfig(globus-gssapi-gsi) >= 9
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig

%package -n %{develname}
Summary:	Globus Toolkit - GSSAPI Error Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-gss-assist) >= 8
Requires:       pkgconfig(globus-gssapi-gsi) >= 9

%package doc
Summary:	Globus Toolkit - GSSAPI Error Library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

%package -n %{libname}
Summary: Globus Toolkit - GSSAPI Error Library
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GSSAPI Error Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
GSSAPI Error Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
GSSAPI Error Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*




%changelog
* Sun Oct 02 2022 neoclust <neoclust> 6.3-1.mga9
+ Revision: 1893922
- New version

* Fri Apr 01 2022 umeabot <umeabot> 6.2-2.mga9
+ Revision: 1839964
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 joequant <joequant> 6.2-1.mga8
+ Revision: 1662097
- update to 6.2

* Mon May 04 2020 joequant <joequant> 6.1-1.mga8
+ Revision: 1578636
- update to 6.1

* Tue Apr 28 2020 joequant <joequant> 5.5-1.mga8
+ Revision: 1572739
- imported package globus-gssapi-error

